Австралийский программист Расти Рассел обнаружил уязвимости в старых версиях приложений Lightning Network

Австралийский программист Расти Рассел обнаружил уязвимости в старых версиях приложений Lightning Network

Как сообщил австралийский разработчик Расти Рассел, в коде нескольких реализаций Lightning Network обнаружены уязвимости, которые могли привести к потере средств.

Австралийский программист и разработчик Lightning Расти Рассел (Rusty Russell) написал
в пятницу в Твиттере, заявив, что проблемы безопасности, которые могут привести к потере средств, были обнаружены в «различных проектах Lightning».

Хотя Рассел не предоставил конкретных деталей, он сказал, что через четыре недели будет опубликована дополнительная информация. Тем временем разработчик посоветовал пользователям обновить следующие узлы Lightning, которые пострадали от уязвимостей:

  • Общие уязвимости и риски (CVE) -2019-12998 в c-lightning до версии 0.7.1;

  • CVE-2019-12999 в lnd до версии 0.7;

  • CVE-2019-13000 в eclair до версии 0.3 включительно.

  • Недавно блокчейн-стартап Radar, стоящий за разработкой децентрализованной биржи на Эфириуме, запустил
    магазин приложений на базе Lightning Network. Ранее разработчики Lightning Network запустили
    тестирование инструмента для мониторинга узлов.

    Вам также может понравиться

    Добавить комментарий

    Ваш e-mail не будет опубликован. Обязательные поля помечены *